stages:
    - construction
    - test

construction application:
    stage: "construction"
    script:
        - echo "Début du job construction"
        - ls -al
        - mkdir dist
        - cd dist
        - echo "Test GitLab CI" > index.txt
        - sleep 5
        - echo "Fin du job de construction"

test application:
    stage: "test"
    script:
        - echo "Début du job de test"
        - cd dist
        - cat index.txt
        - echo "Fin du job de test"